## Index

### Classes

- Agent
- ClientRequest
- IncomingMessage
- OutgoingMessage
- Server
- ServerResponse

### Interfaces

- AgentOptions
- ClientRequestArgs
- IncomingHttpHeaders
- OutgoingHttpHeaders
- RequestOptions
- ServerOptions

### Type aliases

- RequestListener

### Variables

- METHODS
- STATUS_CODES
- globalAgent
- maxHeaderSize

### Functions

- createServer
- get
- request

## Type aliases

### RequestListener

RequestListener: function

- Defined in node_modules/@types/node/http.d.ts:96

#### Type declaration

- - (req: IncomingMessage, res: ServerResponse): void

  - #### Parameters

    - ##### req: IncomingMessage

    - ##### res: ServerResponse

    #### Returns void

## Variables

### Const METHODS

METHODS: string[]

- Defined in node_modules/@types/node/http.d.ts:253

### Const STATUS_CODES

STATUS_CODES: object

- Defined in node_modules/@types/node/http.d.ts:255

#### Type declaration

- ##### [errorCode: string]: string | undefined

### Let globalAgent

globalAgent: Agent

- Defined in node_modules/@types/node/http.d.ts:270

### Const maxHeaderSize

maxHeaderSize: number

- Defined in node_modules/@types/node/http.d.ts:276

Read-only property specifying the maximum allowed size of HTTP headers in bytes. Defaults to 8KB. Configurable using the [`--max-http-header-size`][] CLI option.

## Functions

### createServer

- createServer(requestListener?: RequestListener): Server
- createServer(options: ServerOptions, requestListener?: RequestListener): Server

- - Defined in node_modules/@types/node/http.d.ts:260

  #### Parameters

  - ##### Optional requestListener: RequestListener

  #### Returns Server

- - Defined in node_modules/@types/node/http.d.ts:261

  #### Parameters

  - ##### options: ServerOptions

  - ##### Optional requestListener: RequestListener

  #### Returns Server

### get

- get(options: RequestOptions | string | URL, callback?: undefined | function): ClientRequest
- get(url: string | URL, options: RequestOptions, callback?: undefined | function): ClientRequest

- - Defined in node_modules/@types/node/http.d.ts:268

  #### Parameters

  - ##### options: RequestOptions | string | URL

  - ##### Optional callback: undefined | function

  #### Returns ClientRequest

- - Defined in node_modules/@types/node/http.d.ts:269

  #### Parameters

  - ##### url: string | URL

  - ##### options: RequestOptions

  - ##### Optional callback: undefined | function

  #### Returns ClientRequest

### request

- request(options: RequestOptions | string | URL, callback?: undefined | function): ClientRequest
- request(url: string | URL, options: RequestOptions, callback?: undefined | function): ClientRequest

- - Defined in node_modules/@types/node/http.d.ts:266

  #### Parameters

  - ##### options: RequestOptions | string | URL

  - ##### Optional callback: undefined | function

  #### Returns ClientRequest

- - Defined in node_modules/@types/node/http.d.ts:267

  #### Parameters

  - ##### url: string | URL

  - ##### options: RequestOptions

  - ##### Optional callback: undefined | function

  #### Returns ClientRequest

Generated using TypeDoc